# Generated by Django 3.1 on 2021-05-30 18:13

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('order', '0002_auto_20210530_1801'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='order',
            name='cancel_type',
        ),
        migrations.CreateModel(
            name='OrderCanceled',
            fields=[
                ('id_pk', models.AutoField(primary_key=True, serialize=False)),
                ('cancel_type', models.PositiveIntegerField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('order', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, to='order.order')),
            ],
        ),
    ]
